Pages: 1
  Print  
Author Topic: Can't configure enigma in ubuntu  (Read 2312 times)
Offline (Unknown gender) ojars
Posted on: June 25, 2019, 02:51:53 AM
Member
Joined: May 2019
Posts: 16

View Profile
Hi. I decided to install ubuntu alongside windows 8.1. All is OK, only I got an error when loaded lateralgm.
Quote
ojars@ojars-darba:~/enigma-dev$ ./start.sh
Java Version: 110003 (11.0.3)
Gtk-Message: 10:35:39.809: Failed to load module "canberra-gtk-module"
Loading lib files in /home/ojars/enigma-dev/lateralgm.jar
01_move.lgl 02_main1.lgl 03_main2.lgl 04_control.lgl
 05_score.lgl 06_extra.lgl 07_draw.lgl
I downloaded enigma.jar file and copied into enigma-dev folder.
Lateralgm starts and and the window opens, and i can create new application, but there are not compiler icons.
How to fix this? This is my first experience with ubuntu, and I don't know many basic things.
« Last Edit: June 25, 2019, 02:55:20 AM by ojars » Logged
Offline (Male) hpg678
Reply #1 Posted on: June 26, 2019, 10:27:39 AM

Member
Location: Barbados
Joined: Mar 2017
Posts: 261

View Profile Email
hi. i looked into your problem and it seems to be an issue with ubuntu not having some libraries.


Code: [Select]
sudo apt install libcanberra-gtk-module libcanberra-gtk3-module
place that into your Terminal window will allow you to download them. if you have any more problems just tell me here or on the discord channel.


to open a Terminal window, got to the link here.
« Last Edit: June 26, 2019, 10:33:25 AM by hpg678 » Logged
Hugar
Offline (Unknown gender) ojars
Reply #2 Posted on: June 26, 2019, 11:49:45 AM
Member
Joined: May 2019
Posts: 16

View Profile
Thank you. I'l try this.
Logged
Pages: 1
  Print